Update API Key
curl --request PATCH \
--url https://api.routeway.ai/v1/account/keys/{key_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"daily_limit": 123,
"minute_limit": 123,
"allowed_models": [
"<string>"
],
"balance": 123,
"use_subs_first": true,
"fallback_to_payg": true
}
'import requests
url = "https://api.routeway.ai/v1/account/keys/{key_id}"
payload = {
"label": "<string>",
"daily_limit": 123,
"minute_limit": 123,
"allowed_models": ["<string>"],
"balance": 123,
"use_subs_first": True,
"fallback_to_payg": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
daily_limit: 123,
minute_limit: 123,
allowed_models: ['<string>'],
balance: 123,
use_subs_first: true,
fallback_to_payg: true
})
};
fetch('https://api.routeway.ai/v1/account/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"api_key_id": 123,
"key": "<string>",
"created_at": "<string>",
"label": "<string>",
"daily_limit": 123,
"minute_limit": 123,
"balance": 123,
"usage_today": 123,
"usage_minute": 123,
"last_used_at": "<string>",
"use_subs_first": true,
"fallback_to_payg": true
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"status_code": 123,
"id": "<string>",
"param": "<string>",
"code": "<string>",
"tip": "<string>",
"docs": "https://docs.routeway.ai",
"support": "https://discord.gg/RjX2CpdPpd",
"community": {}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"status_code": 123,
"id": "<string>",
"param": "<string>",
"code": "<string>",
"tip": "<string>",
"docs": "https://docs.routeway.ai",
"support": "https://discord.gg/RjX2CpdPpd",
"community": {}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"status_code": 123,
"id": "<string>",
"param": "<string>",
"code": "<string>",
"tip": "<string>",
"docs": "https://docs.routeway.ai",
"support": "https://discord.gg/RjX2CpdPpd",
"community": {}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"status_code": 123,
"id": "<string>",
"param": "<string>",
"code": "<string>",
"tip": "<string>",
"docs": "https://docs.routeway.ai",
"support": "https://discord.gg/RjX2CpdPpd",
"community": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"status_code": 123,
"id": "<string>",
"param": "<string>",
"code": "<string>",
"tip": "<string>",
"docs": "https://docs.routeway.ai",
"support": "https://discord.gg/RjX2CpdPpd",
"community": {}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"status_code": 123,
"id": "<string>",
"param": "<string>",
"code": "<string>",
"tip": "<string>",
"docs": "https://docs.routeway.ai",
"support": "https://discord.gg/RjX2CpdPpd",
"community": {}
}
}Account
Update Key
Update an existing API key. Requires scope: keys:update
PATCH
/
v1
/
account
/
keys
/
{key_id}
Update API Key
For a detailed walkthrough with examples, see the API Key Management guide.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
A list of API keys.
Show child attributes
Show child attributes
Was this page helpful?
⌘I